#include <stdio.h>
#include <math.h>

#define EPSIL 0.01
#define DRAD 0.017453293

#define TRUE 1
#define FALSE 0

#define squared(x) ((x) * (x))
#define cos_d(x) cos((x) * DRAD)
#define sin_d(x) sin((x) * DRAD)
#define tan_d(x) sin((x) * DRAD)

struct AXIS {
    double str;
    double dip;
};

struct MOMENT {
    double mant;
    int exponent;
};

struct nodal_plane {
    double str;
    double dip;
    double rake;
}; 

struct MECHANISM {
    struct nodal_plane NP1;
    struct nodal_plane NP2;
    struct MOMENT moment;
    double magms;
};

typedef struct MOMENT st_mo;
typedef struct MECHANISM st_me;
