/*--------------------------------------------------------------------
 *    The GMT-system:	@(#)gmt_mgg.h	2.6  02/18/98
 *
 *    Copyright (c) 1991 by P. Wessel and W. H. F. Smith
 *    See README file for copying and redistribution conditions.
 *--------------------------------------------------------------------*/

struct GMT {
  int daymon[61];	/* Cumulative number of days up to last month */
  int first_year;	/* The year the cruise started */
} *gmt_init(int year1);

struct GMT_REC {	/* Format of *.gmt file records */
	int time;
	int lat;
	int lon;
	short int gmt[3];
};

int gmt_date(int time, int *year, int *month, int *day, int *hour, int *minute, int *second, struct GMT *gmt_struct);

struct GMT *gmt_init(int year1);

int gmt_time(int *time, int year, int month, int day, int hour, int minute, int second, struct GMT *gmt_struct);

int gmtpath_init (void);

int gmtpath_func (char *leg_path, char *leg);

